Definition of implicit attribute get handlers

## Macros

#define | FLEXT_ATTRGET_F(VAR)
| Declare an implicit get function for a float attribute. More...
#define | FLEXT_ATTRGET_I(VAR)
| Declare an implicit get function for an integer attribute. More...
#define | FLEXT_ATTRGET_S(VAR)
| Declare an implicit get function for a symbol attribute. More...
#define | FLEXT_ATTRGET_B(VAR)
| Declare an implicit get function for a boolean attribute. More...
#define | FLEXT_ATTRGET_E(VAR, TP)
| Declare an implicit get function for an enum attribute. More...
#define | FLEXT_ATTRGET_V(VAR)
| Declare an implicit get function for a variable list attribute. More...

## Detailed Description

## Macro Definition Documentation

## FLEXT_ATTRGET_B

#define FLEXT_ATTRGET_B | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_(VAR,bool)

Declare an implicit get function for a boolean attribute.

## FLEXT_ATTRGET_E

#define FLEXT_ATTRGET_E | ( |  | VAR,
|  |  | TP
| ) |  |

Value:
\
FLEXT_ATTRGET_(VAR,TP)

Declare an implicit get function for an enum attribute.

## FLEXT_ATTRGET_F

#define FLEXT_ATTRGET_F | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_(VAR,float)

Declare an implicit get function for a float attribute.

## FLEXT_ATTRGET_I

#define FLEXT_ATTRGET_I | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_(VAR,int)

Declare an implicit get function for an integer attribute.

## FLEXT_ATTRGET_S

#define FLEXT_ATTRGET_S | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_(VAR,const t_symbol *)

Declare an implicit get function for a symbol attribute.

## FLEXT_ATTRGET_V

#define FLEXT_ATTRGET_V | ( |  | VAR | ) |

Value:
static bool FLEXT_GET_PRE(VAR)(flext_base *c,AtomList *&arg) \
{ *arg = FLEXT_CAST<thisType *>(c)->VAR; return true; }
flext_base
Definition: flclass.h:58
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition: flbase.h:338

Declare an implicit get function for a variable list attribute.